<?php 

$settings->add(new admin_setting_configtext('block_graph_stats_daysnb', get_string('daysnb', 'block_graph_stats'),
	get_string('config_daysnb', 'block_graph_stats'), 30, PARAM_INT));

$settings->add(new admin_setting_configtext('block_graph_stats_graphwidth', get_string('graphwidth', 'block_graph_stats'),
                   get_string('config_graphwidth', 'block_graph_stats'), 180, PARAM_INT));

$settings->add(new admin_setting_configtext('block_graph_stats_graphheight', get_string('graphheight', 'block_graph_stats'),
                   get_string('config_graphheight', 'block_graph_stats'), 150, PARAM_INT));

$settings->add(new admin_setting_configcheckbox('block_graph_stats_multi', get_string('multi', 'block_graph_stats'),
                   get_string('config_multi', 'block_graph_stats'), 1));

$color_table='	<table align="center" width="80%" border="1" bordercolor="white"><tr>
				<td width="20%" bgcolor="aqua" align="center">'.get_string('aqua', 'block_graph_stats').'</td>
				<td width="20%" bgcolor="black" align="center">'.get_string('black', 'block_graph_stats').'</td>
				<td width="20%" bgcolor="blue" align="center">'.get_string('blue', 'block_graph_stats').'</td>
				<td width="20%" bgcolor="fuchsia" align="center">'.get_string('fuchsia', 'block_graph_stats').'</td>
				<td width="20%" bgcolor="gray" align="center">'.get_string('gray', 'block_graph_stats').'</td>
				</tr><tr>
				<td bgcolor="green" align="center">'.get_string('green', 'block_graph_stats').'</td>
				<td bgcolor="lime" align="center">'.get_string('lime', 'block_graph_stats').'</td>
				<td bgcolor="maroon" align="center">'.get_string('maroon', 'block_graph_stats').'</td>
				<td bgcolor="navy" align="center">'.get_string('navy', 'block_graph_stats').'</td>
				<td bgcolor="olive" align="center">'.get_string('olive', 'block_graph_stats').'</td>
				</tr><tr>
				<td bgcolor="orange" align="center">'.get_string('orange', 'block_graph_stats').'</td>
				<td bgcolor="purple" align="center">'.get_string('purple', 'block_graph_stats').'</td>
				<td bgcolor="red" align="center">'.get_string('red', 'block_graph_stats').'</td>
				<td bgcolor="white" align="center">'.get_string('white', 'block_graph_stats').'</td>
				<td bgcolor="yellow" align="center">'.get_string('yellow', 'block_graph_stats').'</td>
			</tr></table>';
			
$settings->add(new admin_setting_heading('color_helper', '', $color_table));

$colors = array(	'aqua'=>get_string('aqua', 'block_graph_stats'),
				'black'=>get_string('black', 'block_graph_stats'),
				'blue'=>get_string('blue', 'block_graph_stats'),
				'fuchsia'=>get_string('fuchsia', 'block_graph_stats'),
				'gray'=>get_string('gray', 'block_graph_stats'),
				'green'=>get_string('green', 'block_graph_stats'),
				'lime'=>get_string('lime', 'block_graph_stats'),
				'maroon'=>get_string('maroon', 'block_graph_stats'),
				'navy'=>get_string('navy', 'block_graph_stats'),
				'olive'=>get_string('olive', 'block_graph_stats'),
				'orange'=>get_string('orange', 'block_graph_stats'),
				'purple'=>get_string('purple', 'block_graph_stats'),
				'red'=>get_string('red', 'block_graph_stats'),
				'white'=>get_string('white', 'block_graph_stats'),
				'yellow'=>get_string('yellow', 'block_graph_stats')
			);


$settings->add(new admin_setting_configselect('block_graph_stats_outer_background', get_string('outer_background', 'block_graph_stats'),
                   get_string('config_outer_background', 'block_graph_stats'), 'white', $colors));

$settings->add(new admin_setting_configselect('block_graph_stats_inner_background', get_string('inner_background', 'block_graph_stats'),
                   get_string('config_inner_background', 'block_graph_stats'), 'white', $colors));

$settings->add(new admin_setting_configselect('block_graph_stats_inner_border', get_string('inner_border', 'block_graph_stats'),
                   get_string('config_inner_border', 'block_graph_stats'), 'gray', $colors));

$settings->add(new admin_setting_configselect('block_graph_stats_axis_colour', get_string('axis_colour', 'block_graph_stats'),
                   get_string('config_axis_colour', 'block_graph_stats'), 'gray', $colors));

$settings->add(new admin_setting_configselect('block_graph_stats_color1', get_string('color1', 'block_graph_stats'),
                   get_string('config_color1', 'block_graph_stats'), 'blue', $colors));

$settings->add(new admin_setting_configselect('block_graph_stats_color2', get_string('color2', 'block_graph_stats'),
                   get_string('config_color2', 'block_graph_stats'), 'green', $colors));


?>
